Skip to main content

Get Blog Posts

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

GETghl.get_blog_posts

Get blog posts from a specific blog site. Use this to list and search existing blog posts.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-get-blog-posts-example",
"method": "tools/call",
"params": {
"name": "ghl.get_blog_posts",
"arguments": {
"blogId": "blogId_123",
"tenantId": "tenantId_123",
"limit": 1,
"offset": 1,
"searchTerm": "searchTerm_example",
"status": "DRAFT"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"blogId": {
"type": "string"
},
"limit": {
"type": "number"
},
"offset": {
"type": "number"
},
"searchTerm": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"DRAFT",
"PUBLISHED",
"SCHEDULED",
"ARCHIVED"
]
}
},
"required": [
"blogId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-get-blog-posts-example",
"method": "tools/call",
"params": {
"name": "ghl.get_blog_posts",
"arguments": {
"blogId": "blogId_123",
"tenantId": "tenantId_123",
"limit": 1,
"offset": 1,
"searchTerm": "searchTerm_example",
"status": "DRAFT"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.get_blog_posts executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}